summaryrefslogtreecommitdiffstats
path: root/source/xfce
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce')
-rwxr-xr-xsource/xfce/garcon/garcon.SlackBuild10
-rw-r--r--source/xfce/garcon/garcon.url1
2 files changed, 8 insertions, 3 deletions
diff --git a/source/xfce/garcon/garcon.SlackBuild b/source/xfce/garcon/garcon.SlackBuild
index 4d560679b..3954dc4e9 100755
--- a/source/xfce/garcon/garcon.SlackBuild
+++ b/source/xfce/garcon/garcon.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=garcon
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -70,7 +70,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -80,6 +80,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xfce/garcon/garcon.url b/source/xfce/garcon/garcon.url
new file mode 100644
index 000000000..9980ede87
--- /dev/null
+++ b/source/xfce/garcon/garcon.url
@@ -0,0 +1 @@
+https://github.com/xfce-mirror/garcon/releases